OpenCV: cv::cudev::BrdBase< BrdImpl, SrcPtr > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::BrdBase< BrdImpl, SrcPtr > Struct Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Device layer

`#include "extrapolation.hpp"`

## Public Types
typedef int | index_type
typedef PtrTraits< SrcPtr >::value_type | value_type

## Public Member Functions
__device__ __forceinline__ int | idx_col (int x) const
__device__ __forceinline__ int | idx_row (int y) const
__device__ __forceinline__ PtrTraits< SrcPtr >::value_type | operator() (int y, int x) const

## Public Attributes
int | cols
int | rows
SrcPtr | src

## Member Typedef Documentation

## ◆ index_type

template<class BrdImpl, class SrcPtr>

typedef int cv::cudev::BrdBase< BrdImpl, SrcPtr >::index_type

## ◆ value_type

template<class BrdImpl, class SrcPtr>

typedef PtrTraits<SrcPtr>::value_type cv::cudev::BrdBase< BrdImpl, SrcPtr >::value_type

## Member Function Documentation

## ◆ idx_col()

template<class BrdImpl, class SrcPtr>

__device__ __forceinline__ int cv::cudev::BrdBase< BrdImpl, SrcPtr >::idx_col | ( | int | x | ) | const
| inline

## ◆ idx_row()

template<class BrdImpl, class SrcPtr>

__device__ __forceinline__ int cv::cudev::BrdBase< BrdImpl, SrcPtr >::idx_row | ( | int | y | ) | const
| inline

## ◆ operator()()

template<class BrdImpl, class SrcPtr>

__device__ __forceinline__ PtrTraits<SrcPtr>::value_type cv::cudev::BrdBase< BrdImpl, SrcPtr >::operator() | ( | int | y,
|  | int | x
| ) |  | const
| inline

## Member Data Documentation

## ◆ cols

template<class BrdImpl, class SrcPtr>

int cv::cudev::BrdBase< BrdImpl, SrcPtr >::cols

## ◆ rows

template<class BrdImpl, class SrcPtr>

int cv::cudev::BrdBase< BrdImpl, SrcPtr >::rows

## ◆ src

template<class BrdImpl, class SrcPtr>

SrcPtr cv::cudev::BrdBase< BrdImpl, SrcPtr >::src

The documentation for this struct was generated from the following file:

- cudev/include/opencv2/cudev/ptr2d/extrapolation.hpp